import type { DebugClientOpts, DeviceInfo, DeviceDataResponse } from './types.js';
export declare class TEDebugClient {
    private opts;
    constructor(opts: DebugClientOpts);
    private url;
    private get;
    listDevice(projectId: number): Promise<DeviceInfo[]>;
    addDevice(projectId: number, deviceId: string, deviceName: string): Promise<void>;
    selectDevice(projectId: number, deviceId: string): Promise<void>;
    removeDevice(projectId: number, deviceId: string): Promise<void>;
    listDeviceData(projectId: number, deviceId: string, startTime: string): Promise<DeviceDataResponse>;
}
